
D4Science Infrastructure - Task #2527

Configure the ldap backend to automatically remove the transaction logs

Mar 10, 2016 12:07 AM - Andrea Dell'Amico

Status: Closed Start date: Mar 10, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Development, Pre-Production,

Production

  

Description

We only need to set a variable inside /var/lib/ldap/DB_CONFIG it seems. Or better, run db_archive with the -d option just before a

backup:

http://docs.oracle.com/cd/E17076_03/html/programmer_reference/transapp_logfile.html

http://www.openldap.org/faq/data/cache/738.html

http://www.openldap.org/doc/admin24/maintenance.html

Related issues:

Related to D4Science Infrastructure - Support #2513: The ldap server logs kee... Closed Mar 09, 2016

Blocks D4Science Infrastructure - Task #2547: The backup service must run a p... Closed Mar 10, 2016

History

#1 - Mar 10, 2016 12:08 AM - Andrea Dell'Amico

- Related to Support #2513: The ldap server logs keep growing added

#2 - Mar 10, 2016 04:16 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Mar 10, 2016 04:33 PM - Andrea Dell'Amico

- Blocks Task #2547: The backup service must run a post-script on the ldap servers added

#4 - Mar 10, 2016 04:52 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The script is installed on ldap-liferay, ldap-liferay-d, issue.research-infrastructures.eu. It will be activated by the backup system on the production

machines, it will run as a daily cron job on ldap-liferay-d.
